Subject: Re: Potential bug in gitweb 1.7.2

From: Julio Lajara <[email-masked]>
Date: Mon, 26 Jul 2010 09:10:24 -0400

Hi Anders, thanks for the input. I will begin chasing down the issue in 
my config then, but its strange that it would stop working as the exact 
same configuration works without issue in 1.7.0.4 . Ill follow up with 
what I find.

Thanks,

On 07/26/2010 05:27 AM, Anders Kaseorg wrote:
> On Mon, 26 Jul 2010, Jonathan Nieder wrote:
>    
>> Indeed, the rules for installation have changed with v1.7.2, so the
>> packaging may need to be adjusted[1] to match (see gitweb/INSTALL).
>> Please report this to the Ubuntu git team.
>>
>> [1] e.g. http://repo.or.cz/w/debian-git/jrn.git/commit/ff41c31c5
>>      
> Thanks for the report.  But, the 1.7.2-0ppa1 package in the git-core PPA
> was constructed by merging your jrn/for-gerrit branch (1.7.2~rc3-0.1,
> commit f84e1eb) with upstream v1.7.2, and updating
> debian/versions.upstream and debian/changelog.upstream.  It already
> includes that commit.
>
> Indeed, when I install the gitweb 1.7.2-0ppa1 package, put some
> repositories into /var/cache/git, and go to http://localhost/gitweb/ , it
> works correctly for me.
>
> The error that Julio originally posted:
>
>    
>>> [Sat Jul 24 23:11:41 2010] [error] [client 192.168.1.100] Can't call
>>> method "http" on an undefined value at /usr/share/gitweb/index.cgi
>>> line 3401., referer: http://192.168.1.142/gitweb/
>>>        
> looks very strange, and does not seem like it would result from just a
> packaging problem.
>
> Anders
>
>